Bug 522154 - Screen Loads Slowly with Display Rotation on Radeon XPRESS 200M
Summary: Screen Loads Slowly with Display Rotation on Radeon XPRESS 200M
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: card_IGP300/miI
Depends On: 522129
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-09 15:40 UTC by Qian Cai
Modified: 2018-04-11 07:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-08 02:08:50 UTC


Attachments (Terms of Use)
Smolt Profile (6.59 KB, text/plain)
2009-09-09 15:40 UTC, Qian Cai
no flags Details
dmesg -- nomodeset (34.23 KB, text/plain)
2009-09-09 15:41 UTC, Qian Cai
no flags Details
Xorg.0.log -- nomodeset (49.74 KB, text/plain)
2009-09-09 15:59 UTC, Qian Cai
no flags Details
screenshot for the broken gnome-display-properties (421.61 KB, image/png)
2009-09-18 14:38 UTC, Qian Cai
no flags Details

Description Qian Cai 2009-09-09 15:40:50 UTC
Created attachment 360258 [details]
Smolt Profile

Description of problem:
The screen refreshes slowly when rotation display. It took a while to see the whole screen finishes loading and see the icons.

Version-Release number of selected component (if applicable):
control-center-2.27.91-4.fc12.x86_64
kernel-2.6.31-0.204.rc9.fc12.x86_64
xorg-x11-drv-ati-6.13.0-0.2.20090821gitb1b77a4d6.fc12.x86_64

How reproducible:
always

Steps to Reproduce:
1. boot the kernel with nomodeset.
1. run the GNOME display configuration tool, gnome-display-properties. Try rotating the primary display - change the Rotation drop down and hit apply.
2. try and change back to the normal orientation.
  
Actual results:
Screen loads slowly.

Expected results:
Screen loads instantly.

Comment 1 Qian Cai 2009-09-09 15:41:18 UTC
Created attachment 360259 [details]
dmesg -- nomodeset

Comment 2 Qian Cai 2009-09-09 15:59:13 UTC
Created attachment 360260 [details]
Xorg.0.log -- nomodeset

Comment 3 Adam Williamson 2009-09-16 18:13:31 UTC
are those logs from before or after reproducing the problem?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Qian Cai 2009-09-16 23:35:51 UTC
Before. Let me find another machine to be able to SSH it afterwards.

Comment 5 Adam Williamson 2009-09-17 19:28:44 UTC
yes, please!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Qian Cai 2009-09-18 14:38:39 UTC
Created attachment 361675 [details]
screenshot for the broken gnome-display-properties

Due to bug 522129, it has to use the version xorg-x11-drv-ati-6.12.2-19.fc12. As the results, there is no other choice for Rotation other than "Normal" (as in the screenshot).

Comment 7 Matěj Cepl 2009-11-05 17:15:17 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 8 Qian Cai 2009-11-07 01:27:36 UTC
Great! I cannot reproduce the original problem anymore. I think you can close it. Thanks!

Comment 9 Matěj Cepl 2009-11-08 02:08:50 UTC
Thank you for letting us know.


Note You need to log in before you can comment on or make changes to this bug.